List On-Demand Payroll entries
List On-Demand Payroll entries
Lists the adjustments eligible for On-Demand Payroll for the given contract, with the contract eligibility details and limits.
Token scopes: on-demand-payroll:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
Public ID (oid) of the contract.
Response
Eligible entries grouped by contract.
data
List of contracts with their eligible entries.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error